【原创】关于composer常用的操作指令和版本号解读

blogdaren 2020-03-10 抢沙发 353人次

安装第三方包:

composer require vendor/package:version
composer require vendor/package=version
composer require vendor/package version

卸载第三方包:

composer remove vendor/package

搜索第三方包:

composer search vendor
composer search package
composer search vendor/package

查看第三方包:

composer show 
composer show vendor/package

关于包版本号:

范围符: >、>=、<、<=、!=                      //这个不用解释
通配符: 1.0.*  等价于 >= 1.0.0 并且 <= 1.0.9  //只允许通配符对应的位变到最大值,其余位不能变。 
波浪号: ~1.1   等价于 >= 1.2   并且 <= 2.0    //只允许表达式中最后一位变到最大值,但前几位不能变。 
折音号: ^1.2.3 等价于 >= 1.2.3 并且 <= 1.9.9  //只有表达式的第一位不能改变,即大版本不能变,其余位可以变道最大值。 

版权声明:除非注明,本文由( blogdaren )原创,转载请保留文章出处。

本文链接:【原创】关于composer常用的操作指令和版本号解读

发表评论:

您的昵称:
电子邮件:
个人主页: